##
##  amqptools.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2014 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         amqptools
Summary:      AMQP Client Tools
URL:          https://github.com/rmt/amqptools
Vendor:       LShift Ltd
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Network
License:      MPL
Version:      20140706
Release:      20140830

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/amqptools/amqptools-%{version}.tar.gz
Patch0:       amqptools.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20120101, make
PreReq:       OpenPKG, openpkg >= 20120101
BuildPreReq:  rabbitmq-c, openssl
PreReq:       rabbitmq-c, openssl

%description
    AMQPTools are the tools amqpspawn(1) and amqpsend(1) to allow the
    simple sending and receiving of AMQP messages from the command line
    or shell scripts.

%track
    prog amqptools = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/amqptools/
        regex     = amqptools-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n amqptools
    %patch -p0

%build
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O} -Wno-deprecated-declarations" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}" \
        LIBS="-lrabbitmq"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        amqpsend amqpspawn \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

